/***************************************************************************
*
* Copyright 1997 by  the  Massachusetts Institute  of Technology.   All
* rights reserved.
*
* Developed  by the Perceptual Computing Section
* at the Media Laboratory, MIT, Cambridge, Massachusetts.
*
* Permission to use, copy,  or modify this software and  its documentation
* for  educational  and  research purposes only and without fee  is hereby
* granted, provided  that this copyright notice and the original authors's
* names appear  on all copies and supporting documentation.  If individual
* files are  separated from  this  distribution directory  structure, this
* copyright notice must be included.  For any other uses of this software,
* in original or  modified form, including but not limited to distribution
* in whole or in  part, specific  prior permission  must be  obtained from
* MIT.  These programs shall not  be  used, rewritten, or  adapted as  the
*   basis  of  a commercial  software  or  hardware product  without first
* obtaining appropriate licenses  from MIT.  MIT. makes no representations
* about the suitability of this  software for any purpose.  It is provided
* "as is" without express or implied warranty.
*
**************************************************************************/

// GrabbedImageDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGrabbedImageDialog frame

#include "StaticFrameBBDialog.h"

class CGrabbedImageDialog : public CStaticFrameBBDialog
{
	
public:
	BOOL m_bFirstBox;
protected:
	BOOL m_bCaptured;
	BOOL m_bMoveBox;
	CPoint m_pointMouse;
	CRect m_rectBox;
	CRgn m_rgnBox;
	void DrawNewRect(CRect* rectBox, CPoint pointMouse, BOOL MoveBox = FALSE);
	
public:
	CGrabbedImageDialog(CWnd *pParent);
	CGrabbedImageDialog(CDialog *pDlg);
	
	CRect GetBoundingBox();
	void	Quit() { OnClose();}
	
	// Attributes
public:
	
	// Operations
public:
	
	// Data
	//{{AFX_DATA(CGrabbedImageDialog)
	//}}AFX_DATA
	
	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGrabbedImageDialog)
	//}}AFX_VIRTUAL
	
	// Implementation
protected:
public:
	virtual ~CGrabbedImageDialog();
	
	// Generated message map functions
	//{{AFX_MSG(CGrabbedImageDialog)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//afx_msg void OnPaint();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
