///////////////////////////////////////////////////////////////////////////
// Filename	: ImgWnd.h
// Created	: Tuesday, June 17th, 1997
// Description: A window class to display images.
// 
// Vasanth Philomin 1997, vasi@cs.umd.edu
///////////////////////////////////////////////////////////////////////////
// ImgWnd.h : header file
//
#ifndef _IMGWND_H
#define _IMGWND_H

#include "Display.h"

/////////////////////////////////////////////////////////////////////////////
// CImgWnd frame

class CImgWnd : public CDisplay, public CFrameWnd
{

	DECLARE_DYNCREATE(CImgWnd)

protected:
	static short defaultBorderWidth;

// Attributes
public:
	CImgWnd() : CDisplay() {}           // protected constructor used by dynamic creation - Why protected?

	void Refresh ( ) {
		//RedrawWindow(NULL,NULL,RDW_INVALIDATE);
		RedrawWindow(NULL,NULL,RDW_INVALIDATE | RDW_UPDATENOW );
	}

	virtual BOOL Create(const char *strTitle,
									const CPoint &topLeftCorner, 
									BITMAPINFO_8 &bmInfo, 
									BOOL bMatchScreen = TRUE);

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImgWnd)
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CImgWnd)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif
